## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-gelidum
Version:        0.5.7
Release:        %autorelease
Summary:        Freeze your objects in python

# The entire source is MIT except resources/gelidum.jpg, which is CC0 (and is
# not installed)
License:        MIT
URL:            https://github.com/diegojromerolopez/gelidum
Source0:        %{url}/archive/v%{version}/gelidum-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Inspired by the method freeze found in other languages like
Javascript, this package tries to make immutable objects to make it
easier avoiding accidental modifications in your code.}

%description %_description

%package -n python3-gelidum
Summary:        %{summary}

%description -n python3-gelidum %_description


%prep
%autosetup -p1 -n gelidum-%{version}


%generate_buildrequires
# The build/test/runtime BuildRequires are generated from upstream metadata
%pyproject_buildrequires -r


%build
# The macro supports setup.py-based and pyproject.toml-based build
%pyproject_wheel


%install
# The macro supports setup.py-based and pyproject.toml-based build
%pyproject_install

# Library and metadata files can be saved automatically
%pyproject_save_files gelidum


%check
# %%tox
# for projects without tox, %%pytest is preferred
python3 -m unittest discover -s ./gelidum/tests


# %%{pyproject_files} handles code files, but executables,
# documentation and license must be listed in the spec file:
%files -n python3-gelidum -f %{pyproject_files}
%doc README.md
%license LICENSE
%exclude %{python3_sitelib}/gelidum/tests

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 David Bold <davidsch@fedoraproject.org> 0.5.7-1
- import new package
